*REST API › Objects › Rentals*

# Project type

> Project type.

An entry of the catalog of project types. Use it to find the accepted `projectTypeId` before you write a project, and as the value of the `projectTypeId` filter of the project list. Project types are bounded to the subscription that owns the key.

Schemas: `ProjectTypeDto`

## Attributes

| Name | Type | Description |
| --- | --- | --- |
| `id` | string | Unique identifier of the project type. |
| `name` | string | Project type name. |
| `color` | string | Associated color, in hexadecimal, as rendered in the interface. |
| `description` | string | Type description; null if it has none. |
| `createdAt` | string<date-time> | Creation date in ISO 8601 UTC. |
| `updatedAt` | string<date-time> | Last modification date in ISO 8601 UTC. |

## Example

*Project type · Generated from the schema*

```json
{
  "id": "id_8f2a1c",
  "name": "Example",
  "color": "string",
  "description": "string",
  "createdAt": "2026-09-01T08:00:00Z",
  "updatedAt": "2026-09-01T08:00:00Z"
}
```

## Returned by

- [`GET /api/v1/project-types`](https://docs.filmo.io/rest-api/endpoint-reference/projects/list-project-types) — List project types

## Modified by

No operation.

---

Canonical URL: https://docs.filmo.io/rest-api/objects/project-type  
Last updated: 2026-10-25